import config from "@/config"
import http from "@/utils/request"

export default {
	version:{
		url: `${config.API_URL}system/index/version`,
		name: "获取最新版本号",
		get: async function(){
			return await http.get(this.url);
		}
	},
	setting:{
		list: {
			url: `${config.API_URL}system/setting`,
			name: "配置数据",
			get: function(){
				return http.get(this.url);
			}
		}
	},
	dictionary: {
		category: {
			url: `${config.API_URL}system/dict/category`,
			name: "获取字典树",
			get: async function(){
				return await http.get(this.url);
			}
		},
		editcate:{
			url: `${config.API_URL}system/dict/editcate`,
			name: "编辑字典树",
			post: async function(data = {}){
				return await http.post(this.url, data);
			}
		},
		addcate:{
			url: `${config.API_URL}system/dict/addcate`,
			name: "添加字典树",
			post: async function(data = {}){
				return await http.post(this.url, data);
			}
		},
		delCate:{
			url: `${config.API_URL}system/dict/delcate`,
			name: "删除字典树",
			post: async function(data = {}){
				return await http.post(this.url, data);
			}
		},
		list: {
			url: `${config.API_URL}system/dict/lists`,
			name: "字典明细",
			get: async function(params){
				return await http.get(this.url, params);
			}
		},
		get: {
			url: `${config.API_URL}system/dict/detail`,
			name: "获取字典数据",
			get: async function(params){
				return await http.get(this.url, params);
			}
		},
		edit:{
			url: `${config.API_URL}system/dict/edit`,
			name: "编辑字典明细",
			post: async function(data = {}){
				return await http.post(this.url, data);
			}
		},
		add:{
			url: `${config.API_URL}system/dict/add`,
			name: "添加字典明细",
			post: async function(data = {}){
				return await http.post(this.url, data);
			}
		},
		delete:{
			url: `${config.API_URL}system/dict/delete`,
			name: "删除字典明细",
			post: async function(data = {}){
				return await http.post(this.url, data);
			}
		},
		detail: {
			url: `${config.API_URL}system/dict/detail`,
			name: "字典明细",
			get: async function(params){
				return await http.get(this.url, params);
			}
		},
	},
	app: {
		list: {
			url: `${config.API_URL}system/app/list`,
			name: "应用列表",
			get: async function(){
				return await http.get(this.url);
			}
		}
	},
	log: {
		list: {
			url: `${config.API_URL}system/log`,
			name: "日志列表",
			get: async function(params){
				return await http.get(this.url, params);
			}
		},
		my: {
			url: `${config.API_URL}system/log/my`,
			name: "我的日志",
			get: async function(params){
				return await http.get(this.url, params);
			}
		}
	}
}
